use FFI;
use FFI::Library;
use C::Include;

my $lib = new FFI::Library('./linux/lib/libtest.so');

my $include = new C::Include("./ms_include.h");

my $function = $lib->function('SFAPI_CommandVdSMGetNodeInfo','cIIIppp');

while(1) {

    my $info = $include->make_struct("SFVE_VDSpanMirrorNodeInfo");
    my $pInfo = $info->pack();

    my $statusCode = 0;
    my $pStatusCode = pack "I",$statusCode;

    my $senseData = $include->make_struct('SCSI_SenseData' );
    my $pSenseData = $senseData->pack();

    my $retCode = $function->(0,1,$pInfo,$pStatusCode,$pSenseData);

}




